use warnings;
use strict;
use Test::More tests => 4;
use Test::Exception;

use POWER::Utils;


my ($out, $plain, $wait);

throws_ok { Enc() }         qr/usage: Enc/;

$plain = 'test < " & " > test';
$wait  = 'test &lt; &quot; &amp; &quot; &gt; test';
$out    = Enc($plain);
is($out, $wait,             "enc");

$out    = UnEnc($out);
is($out, $plain,            "unenc");

$out    = UnEnc("&#65;&#x41;");
is($out, 'AA',              "unenc dec&hex");

